Bug 1576262 (CVE-2018-5163) - CVE-2018-5163 Mozilla: Replacing cached data in JavaScript Start-up Bytecode Cache
Summary: CVE-2018-5163 Mozilla: Replacing cached data in JavaScript Start-up Bytecode ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5163
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:13 UTC by Doran Moppert
Modified: 2021-02-26 02:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:00 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:13:20 UTC
If a malicious attacker has used another vulnerability to gain full control over a content process, they may be able to replace the alternate data resources stored in the JavaScript Start-up Bytecode Cache (JSBC) for other JavaScript code. If the parent process then runs this replaced code, the executed script would be run with the parent process' privileges, escaping the sandbox on content processes.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5163

Comment 1 Doran Moppert 2018-05-09 07:13:25 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nicolas B, Pierron


Note You need to log in before you can comment on or make changes to this bug.